Chatbot faqs
Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
Body
namestringRequiredExample:
The question or name of the new FAQ.
Opening hoursResponses
201
Faq created successfully.
application/json
400
Invalid input data.
403
Insufficient permissions.
post
/v1/chatbots/{chatbotId}/faqsAuthorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
faqIdstringRequired
The ID of the FAQ to retrieve.
Responses
200
Details of the FAQ.
application/json
errorstringOptional
Optional error message.
403
Insufficient permissions.
get
/v1/chatbots/{chatbotId}/faqs/{faqId}Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
faqIdstringRequired
The ID of the FAQ to delete.
Responses
200
Result of the deletion operation.
application/json
deletedbooleanRequiredExample:
Indicates whether the deletion process was successful.
trueerrorstringOptional
Optional error message.
403
Insufficient permissions.
delete
/v1/chatbots/{chatbotId}/faqs/{faqId}Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
faqIdstringRequired
The ID of the FAQ to update.
Body
namestringRequiredExample:
The new name of the FAQ.
What are the changed opening hours?Responses
200
Faq updated successfully.
application/json
errorstringOptional
Optional error message.
400
Invalid input data.
403
Insufficient permissions.
patch
/v1/chatbots/{chatbotId}/faqs/{faqId}Last updated